package com.sckw.payment.model.dto;

import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.util.Objects;

/**
 * @author xucaiqin
 * @date 2023-07-28 08:42:13
 */
public interface ISettlement {

    void setTrading(String trading);

    String getTrading();

    void setTradingLabel(String tradingLabel);

    void setStatus(Integer status);

    Integer getStatus();

    void setStatusLabel(String statusLabel);

    private DecimalFormat df() {
        return new DecimalFormat("0.00");
    }

    default String changePrice(BigDecimal price) {
        if (Objects.isNull(price)) {
            //金额为null时显示的金额
            return "";
        }
        return df().format(price);
    }
}
